Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.jgss.mech.krb5
Class Krb5TokenErrorUtil

    java.lang.Object
      com.ibm.security.jgss.mech.krb5.Krb5TokenErrorUtil

    public class Krb5TokenErrorUtil

extends java.lang.Object

DOCUMENT ME!

Version:
  $Revision$
Author:
  $author$

Field Summary
`byte[]` | `eData` DOCUMENT ME!
`int` | `errorCode` DOCUMENT ME!
`java.lang.String` | `eText` DOCUMENT ME!

Constructor Summary
`Krb5TokenErrorUtil(byte[] Token, int offset, int len)` Creates a new Krb5TokenErrorUtil object.

Method Summary
`byte[]` | `getEData()` DOCUMENT ME!
`int` | `getErrorCode()` DOCUMENT ME!
`java.lang.String` | `getErrorString()` DOCUMENT ME!
`boolean` | `isErrorToken()` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

  DOCUMENT ME!

### eText

    public java.lang.String eText

  DOCUMENT ME!

### eData

    public byte[] eData

  DOCUMENT ME!

Constructor Detail

### Krb5TokenErrorUtil

    public Krb5TokenErrorUtil(byte[] Token,
                              int offset,
                              int len)
                       throws java.lang.Exception

  Creates a new Krb5TokenErrorUtil object.

  Parameters:
    `Token` - DOCUMENT ME!
    `offset` - DOCUMENT ME!
    `len` - DOCUMENT ME!
  Throws:
    `java.lang.Exception` - DOCUMENT ME!

Method Detail

### isErrorToken

    public final boolean isErrorToken()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getErrorCode

    public final int getErrorCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getErrorString

    public final java.lang.String getErrorString()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getEData

    public final byte[] getEData()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD